package ru.dbotthepony.kstarbound.network.packets

import ru.dbotthepony.kstarbound.client.network.packets.ForgetChunkPacket
import ru.dbotthepony.kstarbound.client.network.packets.InitialChunkDataPacket
import ru.dbotthepony.kstarbound.client.network.packets.JoinWorldPacket
import ru.dbotthepony.kstarbound.client.network.packets.TrackedPositionPacket
import ru.dbotthepony.kstarbound.client.network.packets.TrackedSizePacket
import ru.dbotthepony.kstarbound.network.PacketMapper

val PacketMapping = PacketMapper().also {
	it.add(::DisconnectPacket)
	it.add(::JoinWorldPacket)
	it.add(::InitialChunkDataPacket)
	it.add(::ForgetChunkPacket)
	it.add(::TrackedPositionPacket)
	it.add(::TrackedSizePacket)
}
